Get a run
curl --request GET \
--url https://bulkgrid.com/api/v1/runs/{runId} \
--header 'x-api-key: <api-key>'import requests
url = "https://bulkgrid.com/api/v1/runs/{runId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://bulkgrid.com/api/v1/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "<string>",
"config": null,
"created_at": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"done": 0,
"error_code": "<string>",
"error_count": 0,
"error_details": null,
"extraction_query": "<string>",
"extraction_schema": null,
"failed": 0,
"in_progress": 0,
"inline_credentials": null,
"indexing_completed_at": "<string>",
"indexing_started_at": "<string>",
"indexing_time_ms": 0,
"last_error": "<string>",
"last_error_at": "<string>",
"last_heartbeat": "<string>",
"max_retries": 0,
"message_ids": [
"<string>"
],
"metadata": null,
"needs_dispatch": true,
"priority": 0,
"processing_time_ms": 0,
"query": "<string>",
"queued": 0,
"requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_count": 0,
"started_at": "<string>",
"status": "pending",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "crawl",
"updated_at": "<string>",
"urls": [
"<string>"
],
"statistics": {
"total_results": 4503599627370495,
"success_count": 4503599627370495,
"error_count": 4503599627370495,
"total_size": 1,
"average_response_time": 1
},
"source": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"icon_url": "<string>",
"integration_type": "web"
},
"indexed_pages": 0,
"indexing_done": 0,
"indexing_failed": 0,
"indexing_failed_pages": 0,
"indexing_in_progress": 0,
"indexing_queued": 0,
"deletion_requested_at": "<string>",
"crawl_results": [
{
"clean_html_size": 0,
"clean_html_url": "<string>",
"content_hash": "<string>",
"conversion_completed_at": "<string>",
"conversion_error": "<string>",
"conversion_started_at": "<string>",
"conversion_status": "<string>",
"conversion_time_ms": 0,
"crawled_at": "<string>",
"created_at": "<string>",
"error_message": "<string>",
"extract_completed_at": "<string>",
"extract_started_at": "<string>",
"extract_time_ms": 0,
"extraction_data": null,
"extraction_usage": null,
"file_checksum": "<string>",
"file_mime_type": "<string>",
"file_path": "<string>",
"file_size": 0,
"final_url": "<string>",
"formats_requested": [
"<string>"
],
"icon": "<string>",
"icon_size": 0,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"images": null,
"indexing_completed_at": "<string>",
"indexing_started_at": "<string>",
"indexing_time_ms": 0,
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"links": null,
"markdown_size": 0,
"markdown_url": "<string>",
"metadata": null,
"raw_html_size": 0,
"raw_html_url": "<string>",
"response_time_ms": 0,
"screenshot": "<string>",
"screenshot_format": "<string>",
"screenshot_height": 0,
"screenshot_width": 0,
"status_code": 0,
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"url": "<string>"
}
]
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}Runs
Get a run
Required permission: runs:read.
GET
/
api
/
v1
/
runs
/
{runId}
Get a run
Authorizations
apiKeyAuthbearerAuth
Bulkgrid API key
Path Parameters
Query Parameters
Response
Successful response
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
null Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
null Available options:
null Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
null Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
null Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
pending, processing, completed, failed, cancelled Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
crawl, deep_crawl, extract, source_sync Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes